%global debug_package %{nil}
%global history_repo %{nil}

Name:           oraclelinux-automation-manager-release-el8
Version:        2.2
Release:        4%{dist}
Summary:        Oracle Linux Automation Manager yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oraclelinux-automation-manager-ol8.repo
Source1:        LICENSE


BuildArch:     x86_64 
Requires:      oraclelinux-release-el8 >= 1.0-16
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl

%description
This package contains the Oracle Linux Automation Manager yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# We want to prevent people from automatically enabling automation2 repository
# in case they have original unmodified version of oraclelinux-automation-manager-release installed
if [ "$1" = 2 ] ; then
    if [ -f /etc/yum.repos.d/oraclelinux-automation-manager-ol8.repo ] ; then
        if $(yum repolist |grep -qE "ol8_automation |ol8_automation2 "); then
            echo >> /etc/yum.repos.d/oraclelinux-automation-manager-ol8.repo
        fi
    fi
fi

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Tue Oct 15 2024 Rafael Barron <rafael.barron@oracle.com> - 2.2-4
- Add condition to no change repo file when ol8_automation2 is enabled

* Tue Oct 08 2024 Apoorva Eliza John <apoorva.eliza.john@oracle.com> - 2.2-3
- Do not install yum-utils if dnf is not installed or in transaction [JIRA: OLDIS-38673]

* Wed Jul 17 2024 Alex Burmashev <alexander.burmashev@oracle.com> - - 2.2-2
- Keep original repo file if automation1.0 repository is enabled

* Mon Jul 08 2024 Rafael Barron <rafael.barron@oracle.com> - 2.2-1
- Bump version to match OLAM 2.2

* Fri Aug 18 2023 Lans Hung <lans.hung@oracle.com> - 2.1-1
- Enable automation2 repo. Disable automation repo. [OLAM-132]

* Wed Nov 02 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Add repository entry for OLAM 2,0 [oraBug: 34759509]

* Mon Jun 21 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

